Get Agent Operation Status
Get bootstrap action status by the given taskId
The response contains information about the bootstrap action status by the given taskId.
Request
URI
GET
https://{api_host}/suite-api/api/applications/agents/{taskId}/status
COPY
Path Parameters
string
taskId
Required
Action identifier (result of the action: POST /api/actions/{id})
Responses
200
The populated action information
Returns
bootstrap-status
of type(s)
application/json
"{\n \"taskId\" : \"e77a91c2-4ef7-46b6-804f-c3330e3953be\",\n \"name\" : \"Bootstrap virtual machines\",\n \"startDate\" : \"2020-02-10T14:05:28.202Z\",\n \"bootstrapObjectStatuses\" : [ {\n \"id\" : \"a0b4388a-3a0f-4b22-9397-23982e716f5a\",\n \"stage\" : \"INSTALLING\",\n \"state\" : \"COMPLETED_SUCCESSFULLY\",\n \"creationDate\" : \"2020-02-10T14:05:28.202Z\",\n \"messages\" : [ {\n \"message\" : \"Install operation task failed\",\n \"level\" : \"ERROR\",\n \"timestamp\" : \"2020-02-10T14:05:38.202Z\"\n }, {\n \"message\" : \"The operation is not allowed in current state\",\n \"level\" : \"WARN\",\n \"timestamp\" : \"2020-02-10T14:05:38.202Z\"\n }, {\n \"message\" : \"Successfully Dispatched Action: BOOTSTRAPVM\",\n \"level\" : \"INFO\",\n \"timestamp\" : \"2020-02-10T14:05:38.202Z\"\n } ]\n } ]\n}"
array of
object
bootstrapObjectStatuses
Optional
Collection of bootstrap object statuses
string
name
Optional
The name of the action
string
startDate
Optional
The start date of the action
string
taskId
Required
The id of the action result
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/applications/agents/{taskId}/status
Applications Operations
GET
Get Configuration Details
DELETE
Uninstall Agent
POST
Install Agent
POST
Renew Clients Certificate
POST
Get Renew Clients Certificate Status
POST
Activate Services
GET
Get Service Operation Status
PUT
Start Agent
PUT
Stop Agent
PUT
Upgrade Agent
POST
Renew Client Certificate
GET
Get Renew Client Certificate Status
DELETE
Remove Services Configurations
GET
Get Services Configurations
POST
Save Services Configurations
PUT
Update Services Configurations
GET
Get Service Configurations
GET
Get Agent Operation Status
POST
Sign Client Certificate
GET
Download Client Certificate
GET
Get Application Resources
GET
Get Service Configuration Template
PUT
Subscribe
PUT
Unsubscribe
DELETE
Delete V Center Mapping
POST
Create V Center Mapping
POST
Query V Center Mappings Info
PUT
Add Vcenter To Configuration
Deprecated
PUT
Remove Vcenter From Configuration
Deprecated